Last Comment Bug 310539 - Checkin for Bug 280769 broke AIX tinderbox
: Checkin for Bug 280769 broke AIX tinderbox
Status: VERIFIED FIXED
: fixed-aviary1.0.8, fixed1.7.13, fixed1.8
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: Other AIX
: -- major (vote)
: ---
Assigned To: Igor Bukanov
:
Mentors:
Depends on:
Blocks: 280769
  Show dependency treegraph
 
Reported: 2005-09-29 22:21 PDT by Philip K. Warren
Modified: 2006-03-21 20:01 PST (History)
6 users (show)
dveditz: blocking1.7.13+
dveditz: blocking‑aviary1.0.8+
bob: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (678 bytes, patch)
2005-09-29 22:43 PDT, Philip K. Warren
mrbkap: review+
Details | Diff | Splinter Review
No need for ARG_MAX (1.13 KB, patch)
2005-10-01 12:01 PDT, Igor Bukanov
mrbkap: review+
brendan: superreview+
brendan: approval1.8b5+
Details | Diff | Splinter Review

Description Philip K. Warren 2005-09-29 22:21:03 PDT
Here is the error from the tinderbox build:

"/home/tbox/sb/tinderbox/AIX_5.1_Clobber/mozilla/js/src/jsregexp.c", line 206.9:
1506-213 (S) Macro name ARG_MAX cannot be redefined.
gmake[4]: *** [jsregexp.o] Error 1
Comment 1 Philip K. Warren 2005-09-29 22:23:25 PDT
The conflict appears to be in /usr/include/limits.h (linked to
/usr/include/sys/limits.h):

./sys/limits.h:#define  ARG_MAX         24576
./limits.h:#define      ARG_MAX         24576

I believe a simple:

#ifdef ARG_MAX
#undef ARG_MAX
#endif

in jsregexp.c will fix this issue.
Comment 2 Philip K. Warren 2005-09-29 22:43:45 PDT
Created attachment 197965 [details] [diff] [review]
Patch v1

This fixes the issue.
Comment 3 Blake Kaplan (:mrbkap) 2005-09-29 22:52:08 PDT
Comment on attachment 197965 [details] [diff] [review]
Patch v1

It's too bad we need this :-/. r=mrbkap
Comment 4 Blake Kaplan (:mrbkap) 2005-09-30 15:01:08 PDT
You're going to want to check this in on the branch as well.
Comment 5 Blake Kaplan (:mrbkap) 2005-09-30 18:17:14 PDT
Philip, only one review is needed in js/src (and brendan tends to rubber-stamp
these sorts of fixes anyway), so I think you can go ahead and check this in.
Comment 6 Igor Bukanov 2005-10-01 12:01:52 PDT
Created attachment 198154 [details] [diff] [review]
No need for ARG_MAX

ARG_MAX was used only to define OFFSET_MAX so the patch simply use in
OFFSET_OFF the definition ARG_MAX removing the latter.
Comment 7 Blake Kaplan (:mrbkap) 2005-10-01 13:43:49 PDT
Comment on attachment 198154 [details] [diff] [review]
No need for ARG_MAX

Yeah, I like this one better.
Comment 8 Brendan Eich [:brendan] 2005-10-01 20:57:45 PDT
Comment on attachment 198154 [details] [diff] [review]
No need for ARG_MAX

jsregexp.c should really use standard bytecode macros anyway.  Some other time.
 This should be checked into trunk and branch, it's a good porting fix.

/be
Comment 9 Blake Kaplan (:mrbkap) 2005-10-03 10:21:43 PDT
Fix checked in on MOZILLA_1_8_BRANCH and trunk.
Comment 10 Daniel Veditz [:dveditz] 2006-02-06 10:22:13 PST
Nominating, needed if bug 280769 is taken
Comment 11 Daniel Veditz [:dveditz] 2006-02-15 15:30:20 PST
Fix incorporated into the backported patch for bug 280769

Note You need to log in before you can comment on or make changes to this bug.